API Playground
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequired
The email address to verify
Responses
200
Email verification result
application/json
emailstringOptional
The email address that was verified
scoreintegerOptional
Numerical score (0-100) indicating overall email quality
statusstring · enumOptionalPossible values:
Overall status of the email verification
duration_msintegerOptional
Time taken to perform the verification in milliseconds
401
Invalid or missing API key
application/json
422
Request validation failed
application/json
429
Monthly quota or rate limit exceeded
application/json
500
Internal server error
application/json
post/verify
POST /api/v1/verify HTTP/1.1
Host: noparam.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"email": "text"
}{
"email": "text",
"details": {
"syntax": true,
"domain_exists": true,
"mx_records": true,
"mailbox_exists": true,
"disposable": true,
"role_based": true,
"suggestions": [
"text"
]
},
"score": 1,
"status": "VALID",
"duration_ms": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailsstring[] · max: 100Required
List of email addresses to verify
Responses
200
Bulk verification results
application/json
401
Invalid or missing API key
application/json
422
Request validation failed
application/json
429
Monthly quota or rate limit exceeded
application/json
500
Internal server error
application/json
post/verify/bulk
POST /api/v1/verify/bulk HTTP/1.1
Host: noparam.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"emails": [
"text"
]
}{
"results": [
{
"email": "text",
"details": {
"syntax": true,
"domain_exists": true,
"mx_records": true,
"mailbox_exists": true,
"disposable": true,
"role_based": true,
"suggestions": [
"text"
]
},
"score": 1,
"status": "VALID",
"duration_ms": 1
}
]
}Last updated